> For the complete documentation index, see [llms.txt](https://developer.convergegate.com/legacy/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.convergegate.com/legacy/card-server-to-server/api-commands/756-manual-rebill-request.md).

# 756 – Manual Rebill Request

## 756 Manual Rebill Request data description

| NODE                           | INCLUDE IN CHECKSUM (IN THIS ORDER) | REQUIRED | DATA TYPE                 | DESCRIPTION                                                                                                                                                                                                                                               |
| ------------------------------ | ----------------------------------- | -------- | ------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apiUser                        | YES (1)                             | YES      | Character max 50.         | The API user assigned by the Gateway to the merchant. Can be obtained from the website inside your merchant account.                                                                                                                                      |
| apiPassword                    | YES (2)                             | YES      | Character max 50.         | The API password assigned by Gateway to the merchant. Can be obtained from the website inside your merchant account.                                                                                                                                      |
| apiCmd                         | YES (3)                             | YES      | 756                       | 3 digit numeric transaction code must be 756                                                                                                                                                                                                              |
| gatetransid                    | Yes (4)                             | COND     | Character max 50.         | UGateway transaction id received in the original charge request.                                                                                                                                                                                          |
| transaction                    |                                     | YES      | Xml Node                  | Section containing Transaction Information                                                                                                                                                                                                                |
| transaction->amount            |                                     | OPT      | Number with point decimal | Full amount to charge in currency specified. If not provided, rebill->amount from initiating 700 transaction will be used                                                                                                                                 |
| transaction-> merchanttransid  | YES (5)                             | YES      | Number with point decimal | Unique merchant transaction id for this rebill transaction must be included in the request. Merchant transaction id can be up to 100 characters id.                                                                                                       |
| transaction->merchantspecific1 |                                     | OPT      | Character max 200.        | Merchant specific data for merchant use only. Data sent in this field will be stored and sent in any communication or response to the merchant.                                                                                                           |
| transaction->merchantspecific2 |                                     | OPT      | Character max 200.        | Merchant specific data for merchant use only. Data sent in this field will be stored and sent in any communication or response to the merchant.                                                                                                           |
| transaction->merchantspecific3 |                                     | OPT      | Character max 200.        | Merchant specific data for merchant use only. Data sent in this field will be stored and sent in any communication or response to the merchant.                                                                                                           |
| transaction->merchantspecific4 |                                     | OPT      | Character max 200.        | Merchant specific data for merchant use only. Data sent in this field will be stored and sent in any communication or response to the merchant.                                                                                                           |
| transaction->merchantspecific5 |                                     | OPT      | Character max 200.        | Merchant specific data for merchant use only. Data sent in this field will be stored and sent in any communication or response to the merchant.                                                                                                           |
| checksum                       |                                     | YES      | Character no limit        | SHA-1 calculated using the fields specified by the transaction plus the API key assigned by gateway to the merchant. This field must be calculated using the fields marked as “Include in checksum” (in the order indicated) plus the API key at the end. |

## 756 Manual Rebill Request Response

| NODE            | REQUIRED | DATA TYPE           | DESCRIPTION                                                                                                                                                                                                                                 |
| --------------- | -------- | ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| result          | YES      | Character           | Indicates the result of the transaction. SUCCESS: Customer’s Credit Card account has been charged (or AUTHORIZED) with the amount of the transaction. DECLINED: transaction was declined. ERROR: An error has been detected in the request. |
| merchanttransid | YES      | Character max 50.   | Unique merchant transaction id received in the request.                                                                                                                                                                                     |
| transref        | COND     | Integer             | Gateway’s transaction reference number. Will be sent in the response only if the result is not ERROR. Merchant should save this reference number for support and troubleshooting.                                                           |
| gatetransid     | COND     | Character 36        | Gateway transaction ID. Will be sent in the response only if the result is not ERROR. Merchant should save this reference number for other transaction activity performed through API.                                                      |
| errorcode       | YES      | Character exactly 3 | Error Code of the transaction or 000 if no error condition found.                                                                                                                                                                           |
| errormessage    | OPT      | Character max 100   | Full description of the error.                                                                                                                                                                                                              |
| description     | OPT      | Character no limit  | Optional details of the transaction except in the case of DECLINED and then the reason for the decline. May be null.                                                                                                                        |

{% tabs %}
{% tab title="CURL" %}
756 Manual Rebill Request Sample

```
  <?xmlversion="1.0" encoding="utf-8" ?>
<transaction>
		<apiUser> </apiUser>
		<apiPassword> </apiPassword>
		<apiCmd>756</apiCmd>
		<gatetransid> </gatetransid>
	<transaction>
		<amount> </amount>
		<merchanttransid> </merchanttransid>
		<merchantspecific1> </merchantspecific1>
		<merchantspecific2> </merchantspecific1>
		<merchantspecific3> </merchantspecific1>
		<merchantspecific4> </merchantspecific1>
		<merchantspecific5> </merchantspecific1>
	</transaction>
	<checksum> </checksum>		
</transaction> 
							  
```

**756 Manual Rebill Request Response**

The response to a 756-Manual Rebill Request transaction is a plain xml un-encoded that contains the following data:

```

<?xmlversion="1.0" encoding="utf-8" ?>
	<transaction>
		<result> </result>
		<merchanttransid> </merchanttransid>
		<transref> </transref>
		<errorcode> </errorcode>
		<errormessage> </errormessage>
	</transaction> 
```

{% endtab %}

{% tab title="PHP" %}
720 Request Sample

```
 
require_once 'autoload.php';

use Omnipay\GPNDataEurope\GPNGateway;
set_time_limit(0);

$gpnGateway = new GPNGateway();
$gpnGateway->setApiKey('APIKEY');
$gpnGateway->setApiPassword('APIPASS');
$gpnGateway->setApiUser('APIUSER');
$gpnGateway->setMode(GPNGateway::PROD_MODE);
$gpnGateway->setPROD('https://txtest.txpmnts.com/api/transaction/');


	
$params = [
	'ptid' => '651C6D7D-D360-D29A-AFEE-13CA0F15A0FA', // previous transaction ID
	'currency'      => 'USD',
	'amount'        => '10.00',
	'description'   => 'Description of item',
	'firstName'     => '',
	'lastName'      => '',
	'email'         => '',
	'clientIp'      => '',
	'country'		 => '', // Country ISO Code 
	'city'			 => '',
	'TransactionId' => '', // new Merchant Transaction ID


];

try {
	// Credit 720
	$response = $gpnGateway->credit($params)->send();
	printf("%s-%s\n", $response->getCode(), $response->getMessage());
	
echo 'GPN Ref. No : '; print_r($response->getData()->getrefer());
echo 'Description : '; print_r($response->getData()->getmessage());
echo 'Merchant Transaction ID : '; print_r($response->getData()->getmerchantTransId());
echo 'Status : '; print_r($response->getData()->getstatus());
echo 'Status Code : '; print_r($response->getData()->getstatusCode());
echo 'Gateway Transaction ID : '; print_r($response->getData()->gettransId());

} catch (Exception $exc) {
	print_r($exc->getCode(), $exc->getMessage());
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.convergegate.com/legacy/card-server-to-server/api-commands/756-manual-rebill-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
